Loading...
Searching...
No Matches
novas_sky_pos Struct Reference
Apparent positions on sky

Celestial object's place on the sky; contains the output from place(). More...

`#include <novas.h>`

## Public Attributes

double | dec
| [deg] apparent, topocentric, or astrometric declination (degrees)
double | dis
| [AU] true (geometric, Euclidian) distance to solar system body or 0.0 for star (AU)
double | r_hat [3]
| unit vector toward object (dimensionless)
double | ra
| [h] apparent, topocentric, or astrometric right ascension (hours)
double | rv
| [km/s] radial velocity (km/s).

## Detailed Description

Celestial object's place on the sky; contains the output from place().

See also
  novas_sky_pos(), novas_transform_sky_pos(), SKY_POS_INIT

## Member Data Documentation

## dec

double novas_sky_pos::dec

[deg] apparent, topocentric, or astrometric declination (degrees)

Referenced by novas_equ_track(), novas_equals_sky_pos(), novas_hor_track(), novas_object_sep(), radec_planet(), and radec_star().

## dis

double novas_sky_pos::dis

[AU] true (geometric, Euclidian) distance to solar system body or 0.0 for star (AU)

Referenced by novas_equ_track(), novas_equals_sky_pos(), novas_hor_track(), novas_object_sep(), and radec_planet().

## r_hat

double novas_sky_pos::r_hat[3]

unit vector toward object (dimensionless)

Referenced by novas_equals_sky_pos().

## ra

double novas_sky_pos::ra

[h] apparent, topocentric, or astrometric right ascension (hours)

Referenced by novas_equ_track(), novas_equals_sky_pos(), novas_hor_track(), novas_object_sep(), radec_planet(), and radec_star().

## rv

double novas_sky_pos::rv

[km/s] radial velocity (km/s).

As of SuperNOVAS v1.3, this is always a proper observer-based spectroscopic velocity measure, which relates the observed wavelength to the rest wavelength as λobs = (1 + rv / c) λrest. novas_ssb_to_lsr_vel(), novas_v2z()

Referenced by novas_equ_track(), novas_equals_sky_pos(), novas_hor_track(), radec_planet(), and radec_star().